# AWS-UI becomes Cloudscape Design System

On July 19th, 2022, we launched [Cloudscape Design System](https://cloudscape.design). Cloudscape is an evolution of AWS-UI. It consists of user interface guidelines, front-end components, design resources, and development tools for building intuitive, engaging, and inclusive user experiences at scale. As part of the release, we have begun to publish npm packages to the new `@cloudscape-design` namespace.

**We recommend migrating your existing AWS-UI applications to *[Cloudscape](https://cloudscape.design)*.**

For more information, see our [GitHub repository](https://github.com/aws/awsui-documentation).

## @awsui/components-react

[AWS UI](https://github.com/aws/awsui-documentation) is a collection of [React](https://reactjs.org/) components that help create intuitive,
responsive, and accessible user experiences for web applications. It is developed by [Amazon Web
Services (AWS)](https://aws.amazon.com/). This work is available under the terms of the
[Apache 2.0 open source license](https://www.apache.org/licenses/LICENSE-2.0.txt).

This package provides AWS UI React components and can be used in conjunction with
[@awsui/collection-hooks](https://www.npmjs.com/package/@awsui/collection-hooks),
[@awsui/design-tokens](https://www.npmjs.com/package/@awsui/design-tokens),
[@awsui/global-styles](https://www.npmjs.com/package/@awsui/global-styles),
and [@awsui/test-utils-core](https://www.npmjs.com/package/@awsui/test-utils-core).


This release allows Amazon teams to release open source products that have a dependency on the
AWS UI components. It is just the first step in a larger process of creating a new open source
design system. You can find [more information on GitHub](https://github.com/aws/awsui-documentation).
 