// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
'use client';
import { __rest } from "tslib";
import React from 'react';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import InternalCheckbox from './internal';
const Checkbox = React.forwardRef((_a, ref) => {
    var props = __rest(_a, []);
    const baseComponentProps = useBaseComponent('Checkbox', {
        props: { readOnly: props.readOnly },
    });
    return React.createElement(InternalCheckbox, Object.assign({}, props, baseComponentProps, { ref: ref, __injectAnalyticsComponentMetadata: true }));
});
applyDisplayName(Checkbox, 'Checkbox');
export default Checkbox;
//# sourceMappingURL=index.js.map