// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
'use client';
import React from 'react';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import CollapsibleFlashbar from './collapsible-flashbar';
import NonCollapsibleFlashbar from './non-collapsible-flashbar';
export default function Flashbar(props) {
    if (props.stackItems) {
        return React.createElement(CollapsibleFlashbar, Object.assign({}, props));
    }
    else {
        return React.createElement(NonCollapsibleFlashbar, Object.assign({}, props));
    }
}
applyDisplayName(Flashbar, 'Flashbar');
//# sourceMappingURL=internal-do-not-use-core.js.map