import React from 'react';
import { ChartDataTypes } from './interfaces';
import { FormattedTick } from './label-utils';
import { ChartScale, NumericChartScale } from './scales';
interface BlockEndLabelsProps {
  axis?: 'x' | 'y';
  width: number;
  height: number;
  scale: ChartScale | NumericChartScale;
  title?: string;
  ariaRoleDescription?: string;
  offsetLeft?: number;
  offsetRight?: number;
  virtualTextRef: React.Ref<SVGTextElement>;
  formattedTicks: readonly FormattedTick[];
  isRTL?: boolean;
}
export declare function useBLockEndLabels({
  ticks,
  scale,
  tickFormatter
}: {
  scale: ChartScale | NumericChartScale;
  ticks: readonly ChartDataTypes[];
  tickFormatter?: (value: ChartDataTypes) => string;
}): {
  virtualTextRef: React.RefObject<SVGTextElement>;
  formattedTicks: FormattedTick[];
  height: number;
};
declare const _default: typeof BlockEndLabels;
export default _default;
declare function BlockEndLabels({
  axis,
  width,
  height,
  scale,
  title,
  ariaRoleDescription,
  offsetLeft,
  offsetRight,
  virtualTextRef,
  formattedTicks,
  isRTL
}: BlockEndLabelsProps): JSX.Element;