import React from 'react';
import { CollisionDetection, KeyboardCoordinateGetter, UniqueIdentifier } from '@dnd-kit/core';
import { SortableAreaProps } from './interfaces';
export default function useDragAndDropReorder<Item>({
  items,
  itemDefinition
}: {
  items: readonly Item[];
  itemDefinition: SortableAreaProps.ItemDefinition<Item>;
}): {
  activeItemId: UniqueIdentifier | null;
  setActiveItemId: (id: UniqueIdentifier | null) => void;
  collisionDetection: CollisionDetection;
  coordinateGetter: KeyboardCoordinateGetter;
  handleKeyDown: (event: React.KeyboardEvent) => void;
  sensors: import("@dnd-kit/core").SensorDescriptor<import("@dnd-kit/core").SensorOptions>[];
};