export declare function isContainingBlock(element: HTMLElement): boolean;
/**
 * Returns an element that is used to position the given element.
 * @see https://developer.mozilla.org/en-US/docs/Web/CSS/Containing_block
 */
export declare function getContainingBlock(startElement: HTMLElement): HTMLElement | null;
export declare function findUpUntilMultiple({
  startElement,
  tests
}: {
  startElement: HTMLElement;
  tests: Record<string, (el: HTMLElement) => boolean>;
}): Record<string, HTMLElement>;
/**
 * Parses a CSS color value that might contain CSS Custom Properties
 * and returns a value that will be understood by the browser, no matter of support level.
 * If the browser support CSS Custom Properties, the value will be return as is. Otherwise,
 * the fallback value will be extracted and returned instead.
 */
export declare function parseCssVariable(value: string): string;
export declare function isNode(target: unknown): target is Node;
export declare function isHTMLElement(target: unknown): target is HTMLElement;
export declare function isSVGElement(target: unknown): target is SVGElement;