// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
'use client';
import React from 'react';
import { getAnalyticsMetadataAttribute } from '@awsui/component-toolkit/internal/analytics-metadata';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import InternalRadioGroup from './internal';
const RadioGroup = React.forwardRef((props, ref) => {
    const baseComponentProps = useBaseComponent('RadioGroup', { props: { readOnly: props.readOnly } });
    return (React.createElement(InternalRadioGroup, Object.assign({ ref: ref }, props, baseComponentProps, getAnalyticsMetadataAttribute({
        component: {
            name: 'awsui.RadioGroup',
            label: { root: 'self' },
            properties: {
                value: `${props.value}`,
            },
        },
    }))));
});
applyDisplayName(RadioGroup, 'RadioGroup');
export default RadioGroup;
//# sourceMappingURL=index.js.map