// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
'use client';
import { __rest } from "tslib";
import React from 'react';
import { getBaseProps } from '../internal/base-component';
import useBaseComponent from '../internal/hooks/use-base-component';
import { applyDisplayName } from '../internal/utils/apply-display-name';
import { getExternalProps } from '../internal/utils/external-props';
import InternalSteps from './internal';
const Steps = (_a) => {
    var { steps } = _a, props = __rest(_a, ["steps"]);
    const baseProps = getBaseProps(props);
    const baseComponentProps = useBaseComponent('Steps');
    const externalProps = getExternalProps(props);
    return React.createElement(InternalSteps, Object.assign({}, baseProps, baseComponentProps, externalProps, { steps: steps }));
};
applyDisplayName(Steps, 'Steps');
export default Steps;
//# sourceMappingURL=index.js.map