import React from 'react';
import { TopNavigationProps } from './interfaces';
interface UseTopNavigationParams {
  __internalRootRef?: React.MutableRefObject<HTMLElement> | null;
  identity: TopNavigationProps['identity'];
  search: TopNavigationProps['search'];
  utilities: NonNullable<TopNavigationProps['utilities']>;
}
interface ResponsiveState {
  hideUtilityText?: boolean;
  hideSearch?: boolean;
  hideUtilities?: number[];
  hideTitle?: boolean;
}
interface UseTopNavigation {
  ref: React.Ref<HTMLDivElement>;
  virtualRef: React.Ref<HTMLDivElement>;
  responsiveState: ResponsiveState;
  breakpoint: 'default' | 'xxs' | 's';
  isSearchExpanded: boolean;
  onSearchUtilityClick: () => void;
}
export declare function useTopNavigation({
  __internalRootRef: mainRef,
  identity,
  search,
  utilities
}: UseTopNavigationParams): UseTopNavigation;
export {};