/// <reference types="react" />
import { TreeViewProps } from '../interfaces';
interface InternalTreeItemProps<T> extends Pick<TreeViewProps, 'expandedItems' | 'renderItem' | 'getItemId' | 'getItemChildren' | 'renderItemToggleIcon' | 'i18nStrings'> {
  item: T;
  index: number;
  level: number;
  onItemToggle: (detail: TreeViewProps.ItemToggleDetail<T>) => void;
}
declare const InternalTreeItem: <T>({
  item,
  index,
  level,
  i18nStrings,
  expandedItems,
  renderItemToggleIcon,
  renderItem,
  getItemId,
  getItemChildren,
  onItemToggle
}: InternalTreeItemProps<T>) => JSX.Element;
export default InternalTreeItem;